For the complete documentation index, see llms.txt. This page is also available as Markdown.

Restowing

Endpoints to manipulate restowing items.

List restow items

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get all restow items

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
facilityRefstringOptional

Reference to the facility you want to get the corresponding restows

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
restowedbooleanOptional

Reference restowed status of the restow items

startAfterIdstringOptional

all entities after given Id

sizeinteger · min: 1 · max: 500Optional

number of entities to show

Default: 25Example: 25
orderBystring · enumOptional

query orderBy

Possible values:
Responses
200

Restow items were found. The results are in the body.

application/json

RestowedItems

totalintegerOptional

Total number of found entities for this query

Example: 42
get/api/restowitems
GET /api/restowitems HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "restowedItems": [
    {
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ],
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1
      },
      "created": "2020-02-03T08:45:51.525Z",
      "customAttributes": {},
      "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "globalLineItemId": "text",
      "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "location": {
        "locationRef": "text",
        "scannableCodes": [
          "text"
        ]
      },
      "measurementUnitKey": "pcs",
      "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "quantity": 1,
      "recordableAttributes": [
        {
          "keyLocalized": {
            "de_DE": "Wert",
            "en_US": "Value",
            "ru_RU": "значение"
          },
          "group": "general",
          "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "key": "country of origin",
          "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
          "recordingRule": "MANDATORY",
          "value": "Germany"
        }
      ],
      "restowed": true,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "g",
      "secondaryQuantity": 42,
      "status": "CANCELED",
      "stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "version": 42
    }
  ],
  "total": 42
}

Get restow item

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get restow item by id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
restowItemIdstringRequired
Responses
200

RestowItem was found & you were allowed to access it. The result is in the body.

application/json

RestowItem

createdstring · date-timeOptional

The date this entity was created by fulfillmenttools. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
customAttributesobjectOptional

Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

facilityRefstringRequired

The id of the facility reference. The given ID has to be present in the system.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
globalLineItemIdstringOptional

This ID is used to identify if this line item is related to the line item of other operational entities.

idstringRequired

ID of the recordable attribute

Example: 17ebfdfb-e1b4-4913-9962-3aef2b49f16f
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
measurementUnitKeystring · min: 1Optional

Measurement unit key of the item, for example "pcs" or "kg"

Example: pcs
operativeProcessRefstringOptional

id of the connected operative process if available

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringOptional

id of the connected process if available

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
quantitynumberRequired

The quantity of the lineItem

restowedbooleanRequired

Indicates if the restowItem has been restowed

Example: true
scannableCodesstring[]Optional

Codes that can be used for scanning this lineItem

secondaryMeasurementUnitKeystring · min: 1Optional

Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram

Example: g
secondaryQuantitynumberOptional

secondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight

Example: 42
statusstring · enumRequired

Status of the restow item

Possible values:
stockRefstringOptional

id of the stock entity for this line item

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
get/api/restowitems/{restowItemId}
GET /api/restowitems/{restowItemId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "article": {
    "titleLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "attributes": [
      {
        "valueLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "keyLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "category": "descriptive",
        "context": {
          "type": "FACILITY_GROUP",
          "value": "text"
        },
        "key": "%%subtitle%%",
        "priority": 100,
        "type": "STRING",
        "value": "585er Gold"
      }
    ],
    "customAttributes": {},
    "imageUrl": "https://example.com/resource",
    "tenantArticleId": "4711",
    "title": "Cologne Water",
    "weight": 1
  },
  "created": "2020-02-03T08:45:51.525Z",
  "customAttributes": {},
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "globalLineItemId": "text",
  "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "location": {
    "locationRef": "text",
    "scannableCodes": [
      "text"
    ]
  },
  "measurementUnitKey": "pcs",
  "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "quantity": 1,
  "recordableAttributes": [
    {
      "keyLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "group": "general",
      "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
      "key": "country of origin",
      "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
      "recordingRule": "MANDATORY",
      "value": "Germany"
    }
  ],
  "restowed": true,
  "scannableCodes": [
    "text"
  ],
  "secondaryMeasurementUnitKey": "g",
  "secondaryQuantity": 42,
  "status": "CANCELED",
  "stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "version": 42
}
Deprecated

Update restow item

patch

This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, please use /api/restowitems/{restowItemId}/actions

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
restowItemIdstringRequired
Body

RestowItemPatchActions

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
200

RestowItem was found & patch-set has been applied. The patched restow item is in the body.

application/json

RestowItem

createdstring · date-timeOptional

The date this entity was created by fulfillmenttools. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
customAttributesobjectOptional

Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

facilityRefstringRequired

The id of the facility reference. The given ID has to be present in the system.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
globalLineItemIdstringOptional

This ID is used to identify if this line item is related to the line item of other operational entities.

idstringRequired

ID of the recordable attribute

Example: 17ebfdfb-e1b4-4913-9962-3aef2b49f16f
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
measurementUnitKeystring · min: 1Optional

Measurement unit key of the item, for example "pcs" or "kg"

Example: pcs
operativeProcessRefstringOptional

id of the connected operative process if available

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringOptional

id of the connected process if available

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
quantitynumberRequired

The quantity of the lineItem

restowedbooleanRequired

Indicates if the restowItem has been restowed

Example: true
scannableCodesstring[]Optional

Codes that can be used for scanning this lineItem

secondaryMeasurementUnitKeystring · min: 1Optional

Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram

Example: g
secondaryQuantitynumberOptional

secondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight

Example: 42
statusstring · enumRequired

Status of the restow item

Possible values:
stockRefstringOptional

id of the stock entity for this line item

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
patch/api/restowitems/{restowItemId}
PATCH /api/restowitems/{restowItemId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 132

{
  "actions": [
    {
      "action": "ModifyRestowItem",
      "location": {
        "locationRef": "text",
        "scannableCodes": [
          "text"
        ]
      },
      "restowed": true
    }
  ],
  "version": 42
}
{
  "article": {
    "titleLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "attributes": [
      {
        "valueLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "keyLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "category": "descriptive",
        "context": {
          "type": "FACILITY_GROUP",
          "value": "text"
        },
        "key": "%%subtitle%%",
        "priority": 100,
        "type": "STRING",
        "value": "585er Gold"
      }
    ],
    "customAttributes": {},
    "imageUrl": "https://example.com/resource",
    "tenantArticleId": "4711",
    "title": "Cologne Water",
    "weight": 1
  },
  "created": "2020-02-03T08:45:51.525Z",
  "customAttributes": {},
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "globalLineItemId": "text",
  "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "location": {
    "locationRef": "text",
    "scannableCodes": [
      "text"
    ]
  },
  "measurementUnitKey": "pcs",
  "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "quantity": 1,
  "recordableAttributes": [
    {
      "keyLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "group": "general",
      "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
      "key": "country of origin",
      "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
      "recordingRule": "MANDATORY",
      "value": "Germany"
    }
  ],
  "restowed": true,
  "scannableCodes": [
    "text"
  ],
  "secondaryMeasurementUnitKey": "g",
  "secondaryQuantity": 42,
  "status": "CANCELED",
  "stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "version": 42
}

Call restow item action

post

Call available actions on restow item

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
restowItemIdstringRequired
Body
or
Responses
200

Updated RestowItem in the body.

application/json

RestowItem

createdstring · date-timeOptional

The date this entity was created by fulfillmenttools. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
customAttributesobjectOptional

Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.

facilityRefstringRequired

The id of the facility reference. The given ID has to be present in the system.

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
globalLineItemIdstringOptional

This ID is used to identify if this line item is related to the line item of other operational entities.

idstringRequired

ID of the recordable attribute

Example: 17ebfdfb-e1b4-4913-9962-3aef2b49f16f
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
measurementUnitKeystring · min: 1Optional

Measurement unit key of the item, for example "pcs" or "kg"

Example: pcs
operativeProcessRefstringOptional

id of the connected operative process if available

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringOptional

id of the connected process if available

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
quantitynumberRequired

The quantity of the lineItem

restowedbooleanRequired

Indicates if the restowItem has been restowed

Example: true
scannableCodesstring[]Optional

Codes that can be used for scanning this lineItem

secondaryMeasurementUnitKeystring · min: 1Optional

Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram

Example: g
secondaryQuantitynumberOptional

secondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight

Example: 42
statusstring · enumRequired

Status of the restow item

Possible values:
stockRefstringOptional

id of the stock entity for this line item

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
post/api/restowitems/{restowItemId}/actions
POST /api/restowitems/{restowItemId}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "location": {
    "locationRef": "text",
    "scannableCodes": [
      "text"
    ]
  },
  "name": "RESTOW",
  "version": 1
}
{
  "article": {
    "titleLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "attributes": [
      {
        "valueLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "keyLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "category": "descriptive",
        "context": {
          "type": "FACILITY_GROUP",
          "value": "text"
        },
        "key": "%%subtitle%%",
        "priority": 100,
        "type": "STRING",
        "value": "585er Gold"
      }
    ],
    "customAttributes": {},
    "imageUrl": "https://example.com/resource",
    "tenantArticleId": "4711",
    "title": "Cologne Water",
    "weight": 1
  },
  "created": "2020-02-03T08:45:51.525Z",
  "customAttributes": {},
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "globalLineItemId": "text",
  "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "location": {
    "locationRef": "text",
    "scannableCodes": [
      "text"
    ]
  },
  "measurementUnitKey": "pcs",
  "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "quantity": 1,
  "recordableAttributes": [
    {
      "keyLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "group": "general",
      "id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
      "key": "country of origin",
      "originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
      "recordingRule": "MANDATORY",
      "value": "Germany"
    }
  ],
  "restowed": true,
  "scannableCodes": [
    "text"
  ],
  "secondaryMeasurementUnitKey": "g",
  "secondaryQuantity": 42,
  "status": "CANCELED",
  "stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "version": 42
}

Last updated

Was this helpful?